curl --request POST \ --url https://aireiter.com/api/openapi/submit \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "model": "grok_imagine_2_0_ext", "params": { "prompt": "A red apple on a white ceramic plate, clean studio product shot", "aspect_ratio": "1:1", "output_n": 3 }, "out_task_id": "grok_image_2_ext_001" }'
import requestsurl = "https://aireiter.com/api/openapi/submit"payload = { "model": "grok_imagine_2_0_ext", "params": { "prompt": "A red apple on a white ceramic plate, clean studio product shot", "aspect_ratio": "1:1", "output_n": 3 }, "out_task_id": "grok_image_2_ext_001"}headers = { "Authorization": "Bearer <token>", "Content-Type": "application/json"}response = requests.post(url, json=payload, headers=headers)print(response.json())
const url = "https://aireiter.com/api/openapi/submit";const payload = { model: "grok_imagine_2_0_ext", params: { prompt: "A red apple on a white ceramic plate, clean studio product shot", aspect_ratio: "1:1", output_n: 3 }, out_task_id: "grok_image_2_ext_001"};const headers = { "Authorization": "Bearer <token>", "Content-Type": "application/json"};fetch(url, { method: "POST", headers: headers, body: JSON.stringify(payload)}) .then(response => response.json()) .then(data => console.log(data)) .catch(error => console.error('Error:', error));
package mainimport ( "bytes" "encoding/json" "fmt" "io/ioutil" "net/http")func main() { url := "https://aireiter.com/api/openapi/submit" payload := map[string]interface{}{ "model": "grok_imagine_2_0_ext", "params": map[string]interface{}{ "prompt": "A red apple on a white ceramic plate, clean studio product shot", "aspect_ratio": "1:1", "output_n": 3, }, "out_task_id": "grok_image_2_ext_001", } jsonData, _ := json.Marshal(payload) req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData)) req.Header.Set("Authorization", "Bearer <token>") req.Header.Set("Content-Type", "application/json") client := &http.Client{} resp, err := client.Do(req) if err != nil { panic(err) } defer resp.Body.Close() body, _ := ioutil.ReadAll(resp.Body) fmt.Println(string(body))}
import java.net.http.HttpClient;import java.net.http.HttpRequest;import java.net.http.HttpResponse;import java.net.URI;public class Main { public static void main(String[] args) throws Exception { String url = "https://aireiter.com/api/openapi/submit"; String payload = """ { "model": "grok_imagine_2_0_ext", "params": { "prompt": "A red apple on a white ceramic plate, clean studio product shot", "aspect_ratio": "1:1", "output_n": 3 }, "out_task_id": "grok_image_2_ext_001" } """; HttpClient client = HttpClient.newHttpClient(); HttpRequest request = HttpRequest.newBuilder() .uri(URI.create(url)) .header("Authorization", "Bearer <token>") .header("Content-Type", "application/json") .POST(HttpRequest.BodyPublishers.ofString(payload)) .build(); HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString()); System.out.println(response.body()); }}
<?php$url = "https://aireiter.com/api/openapi/submit";$payload = [ "model" => "grok_imagine_2_0_ext", "params" => [ "prompt" => "A red apple on a white ceramic plate, clean studio product shot", "aspect_ratio" => "1:1", "output_n" => 3 ], "out_task_id" => "grok_image_2_ext_001"];$ch = curl_init($url);curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);curl_setopt($ch, CURLOPT_POST, true);curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($payload));curl_setopt($ch, CURLOPT_HTTPHEADER, [ "Authorization: Bearer <token>", "Content-Type: application/json"]);$response = curl_exec($ch);curl_close($ch);echo $response;?>
require 'net/http'require 'json'require 'uri'url = URI("https://aireiter.com/api/openapi/submit")payload = { model: "grok_imagine_2_0_ext", params: { prompt: "A red apple on a white ceramic plate, clean studio product shot", aspect_ratio: "1:1", output_n: 3 }, out_task_id: "grok_image_2_ext_001"}http = Net::HTTP.new(url.host, url.port)request = Net::HTTP::Post.new(url)request["Authorization"] = "Bearer <token>"request["Content-Type"] = "application/json"request.body = payload.to_jsonresponse = http.request(request)puts response.body
import Foundationlet url = URL(string: "https://aireiter.com/api/openapi/submit")!let payload: [String: Any] = [ "model": "grok_imagine_2_0_ext", "params": [ "prompt": "A red apple on a white ceramic plate, clean studio product shot", "aspect_ratio": "1:1", "output_n": 3 ], "out_task_id": "grok_image_2_ext_001"]var request = URLRequest(url: url)request.httpMethod = "POST"request.setValue("Bearer <token>", forHTTPHeaderField: "Authorization")request.setValue("application/json", forHTTPHeaderField: "Content-Type")request.httpBody = try? JSONSerialization.data(withJSONObject: payload)let task = URLSession.shared.dataTask(with: request) { data, response, error in if let error = error { print("Error: \(error)") return } if let data = data, let responseString = String(data: data, encoding: .utf8) { print(responseString) }}task.resume()
using System;using System.Net.Http;using System.Text;using System.Threading.Tasks;class Program{ static async Task Main(string[] args) { var url = "https://aireiter.com/api/openapi/submit"; var payload = @" { ""model"": ""grok_imagine_2_0_ext"", ""params"": { ""prompt"": ""A red apple on a white ceramic plate, clean studio product shot"", ""aspect_ratio"": ""1:1"", ""output_n"": 3 }, ""out_task_id"": ""grok_image_2_ext_001"" }"; using var client = new HttpClient(); client.DefaultRequestHeaders.Add("Authorization", "Bearer <token>"); var content = new StringContent(payload, Encoding.UTF8, "application/json"); var response = await client.PostAsync(url, content); var result = await response.Content.ReadAsStringAsync(); Console.WriteLine(result); }}
(* Requires cohttp and yojson libraries *)open Lwtopen Cohttpopen Cohttp_lwt_unixlet url = "https://aireiter.com/api/openapi/submit"let payload = {|{ "model": "grok_imagine_2_0_ext", "params": { "prompt": "A red apple on a white ceramic plate, clean studio product shot", "aspect_ratio": "1:1", "output_n": 3 }, "out_task_id": "grok_image_2_ext_001"}|}let () = let headers = Header.init () |> fun h -> Header.add h "Authorization" "Bearer <token>" |> fun h -> Header.add h "Content-Type" "application/json" in let body = Cohttp_lwt.Body.of_string payload in let response = Client.post ~headers ~body (Uri.of_string url) >>= fun (resp, body) -> body |> Cohttp_lwt.Body.to_string >|= fun body_str -> print_endline body_str in Lwt_main.run response
import 'dart:convert';import 'package:http/http.dart' as http;void main() async { final url = Uri.parse('https://aireiter.com/api/openapi/submit'); final payload = { "model": "grok_imagine_2_0_ext", "params": { "prompt": "A red apple on a white ceramic plate, clean studio product shot", "aspect_ratio": "1:1", "output_n": 3 }, "out_task_id": "grok_image_2_ext_001" }; final response = await http.post( url, headers: { 'Authorization': 'Bearer <token>', 'Content-Type': 'application/json' }, body: jsonEncode(payload), ); print(response.body);}
library(httr)library(jsonlite)url <- "https://aireiter.com/api/openapi/submit"payload <- list( model = "grok_imagine_2_0_ext", params = list( prompt = "A red apple on a white ceramic plate, clean studio product shot", aspect_ratio = "1:1", output_n = 3 ), out_task_id = "grok_image_2_ext_001")response <- POST( url, add_headers( Authorization = "Bearer <token>", `Content-Type` = "application/json" ), body = toJSON(payload, auto_unbox = TRUE), encode = "raw")cat(content(response, "text"))
{ "error": { "code": 500, "message": "Internal server error, please try again later" }}
Grok Imagine Image 2.0
Grok Imagine 2.0 Ext Image Generation
Asynchronous text-to-image, retrieve results via the task query endpoint after submission
Supports 7 common image aspect ratios
Supports generating 1-12 images per request, the quantity can be any integer within the range
Only supports text-to-image, reference image input is not supported
Submitted prompts will undergo platform sensitive word / safety review, and violating content will be directly rejected
POST
/
api
/
openapi
/
submit
curl --request POST \ --url https://aireiter.com/api/openapi/submit \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "model": "grok_imagine_2_0_ext", "params": { "prompt": "A red apple on a white ceramic plate, clean studio product shot", "aspect_ratio": "1:1", "output_n": 3 }, "out_task_id": "grok_image_2_ext_001" }'
import requestsurl = "https://aireiter.com/api/openapi/submit"payload = { "model": "grok_imagine_2_0_ext", "params": { "prompt": "A red apple on a white ceramic plate, clean studio product shot", "aspect_ratio": "1:1", "output_n": 3 }, "out_task_id": "grok_image_2_ext_001"}headers = { "Authorization": "Bearer <token>", "Content-Type": "application/json"}response = requests.post(url, json=payload, headers=headers)print(response.json())
const url = "https://aireiter.com/api/openapi/submit";const payload = { model: "grok_imagine_2_0_ext", params: { prompt: "A red apple on a white ceramic plate, clean studio product shot", aspect_ratio: "1:1", output_n: 3 }, out_task_id: "grok_image_2_ext_001"};const headers = { "Authorization": "Bearer <token>", "Content-Type": "application/json"};fetch(url, { method: "POST", headers: headers, body: JSON.stringify(payload)}) .then(response => response.json()) .then(data => console.log(data)) .catch(error => console.error('Error:', error));
package mainimport ( "bytes" "encoding/json" "fmt" "io/ioutil" "net/http")func main() { url := "https://aireiter.com/api/openapi/submit" payload := map[string]interface{}{ "model": "grok_imagine_2_0_ext", "params": map[string]interface{}{ "prompt": "A red apple on a white ceramic plate, clean studio product shot", "aspect_ratio": "1:1", "output_n": 3, }, "out_task_id": "grok_image_2_ext_001", } jsonData, _ := json.Marshal(payload) req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData)) req.Header.Set("Authorization", "Bearer <token>") req.Header.Set("Content-Type", "application/json") client := &http.Client{} resp, err := client.Do(req) if err != nil { panic(err) } defer resp.Body.Close() body, _ := ioutil.ReadAll(resp.Body) fmt.Println(string(body))}
import java.net.http.HttpClient;import java.net.http.HttpRequest;import java.net.http.HttpResponse;import java.net.URI;public class Main { public static void main(String[] args) throws Exception { String url = "https://aireiter.com/api/openapi/submit"; String payload = """ { "model": "grok_imagine_2_0_ext", "params": { "prompt": "A red apple on a white ceramic plate, clean studio product shot", "aspect_ratio": "1:1", "output_n": 3 }, "out_task_id": "grok_image_2_ext_001" } """; HttpClient client = HttpClient.newHttpClient(); HttpRequest request = HttpRequest.newBuilder() .uri(URI.create(url)) .header("Authorization", "Bearer <token>") .header("Content-Type", "application/json") .POST(HttpRequest.BodyPublishers.ofString(payload)) .build(); HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString()); System.out.println(response.body()); }}
<?php$url = "https://aireiter.com/api/openapi/submit";$payload = [ "model" => "grok_imagine_2_0_ext", "params" => [ "prompt" => "A red apple on a white ceramic plate, clean studio product shot", "aspect_ratio" => "1:1", "output_n" => 3 ], "out_task_id" => "grok_image_2_ext_001"];$ch = curl_init($url);curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);curl_setopt($ch, CURLOPT_POST, true);curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($payload));curl_setopt($ch, CURLOPT_HTTPHEADER, [ "Authorization: Bearer <token>", "Content-Type: application/json"]);$response = curl_exec($ch);curl_close($ch);echo $response;?>
require 'net/http'require 'json'require 'uri'url = URI("https://aireiter.com/api/openapi/submit")payload = { model: "grok_imagine_2_0_ext", params: { prompt: "A red apple on a white ceramic plate, clean studio product shot", aspect_ratio: "1:1", output_n: 3 }, out_task_id: "grok_image_2_ext_001"}http = Net::HTTP.new(url.host, url.port)request = Net::HTTP::Post.new(url)request["Authorization"] = "Bearer <token>"request["Content-Type"] = "application/json"request.body = payload.to_jsonresponse = http.request(request)puts response.body
import Foundationlet url = URL(string: "https://aireiter.com/api/openapi/submit")!let payload: [String: Any] = [ "model": "grok_imagine_2_0_ext", "params": [ "prompt": "A red apple on a white ceramic plate, clean studio product shot", "aspect_ratio": "1:1", "output_n": 3 ], "out_task_id": "grok_image_2_ext_001"]var request = URLRequest(url: url)request.httpMethod = "POST"request.setValue("Bearer <token>", forHTTPHeaderField: "Authorization")request.setValue("application/json", forHTTPHeaderField: "Content-Type")request.httpBody = try? JSONSerialization.data(withJSONObject: payload)let task = URLSession.shared.dataTask(with: request) { data, response, error in if let error = error { print("Error: \(error)") return } if let data = data, let responseString = String(data: data, encoding: .utf8) { print(responseString) }}task.resume()
using System;using System.Net.Http;using System.Text;using System.Threading.Tasks;class Program{ static async Task Main(string[] args) { var url = "https://aireiter.com/api/openapi/submit"; var payload = @" { ""model"": ""grok_imagine_2_0_ext"", ""params"": { ""prompt"": ""A red apple on a white ceramic plate, clean studio product shot"", ""aspect_ratio"": ""1:1"", ""output_n"": 3 }, ""out_task_id"": ""grok_image_2_ext_001"" }"; using var client = new HttpClient(); client.DefaultRequestHeaders.Add("Authorization", "Bearer <token>"); var content = new StringContent(payload, Encoding.UTF8, "application/json"); var response = await client.PostAsync(url, content); var result = await response.Content.ReadAsStringAsync(); Console.WriteLine(result); }}
(* Requires cohttp and yojson libraries *)open Lwtopen Cohttpopen Cohttp_lwt_unixlet url = "https://aireiter.com/api/openapi/submit"let payload = {|{ "model": "grok_imagine_2_0_ext", "params": { "prompt": "A red apple on a white ceramic plate, clean studio product shot", "aspect_ratio": "1:1", "output_n": 3 }, "out_task_id": "grok_image_2_ext_001"}|}let () = let headers = Header.init () |> fun h -> Header.add h "Authorization" "Bearer <token>" |> fun h -> Header.add h "Content-Type" "application/json" in let body = Cohttp_lwt.Body.of_string payload in let response = Client.post ~headers ~body (Uri.of_string url) >>= fun (resp, body) -> body |> Cohttp_lwt.Body.to_string >|= fun body_str -> print_endline body_str in Lwt_main.run response
import 'dart:convert';import 'package:http/http.dart' as http;void main() async { final url = Uri.parse('https://aireiter.com/api/openapi/submit'); final payload = { "model": "grok_imagine_2_0_ext", "params": { "prompt": "A red apple on a white ceramic plate, clean studio product shot", "aspect_ratio": "1:1", "output_n": 3 }, "out_task_id": "grok_image_2_ext_001" }; final response = await http.post( url, headers: { 'Authorization': 'Bearer <token>', 'Content-Type': 'application/json' }, body: jsonEncode(payload), ); print(response.body);}
library(httr)library(jsonlite)url <- "https://aireiter.com/api/openapi/submit"payload <- list( model = "grok_imagine_2_0_ext", params = list( prompt = "A red apple on a white ceramic plate, clean studio product shot", aspect_ratio = "1:1", output_n = 3 ), out_task_id = "grok_image_2_ext_001")response <- POST( url, add_headers( Authorization = "Bearer <token>", `Content-Type` = "application/json" ), body = toJSON(payload, auto_unbox = TRUE), encode = "raw")cat(content(response, "text"))
{ "error": { "code": 500, "message": "Internal server error, please try again later" }}
Authorizations
string
required
All endpoints require Bearer Token authentication.Visit the API Key management page to get the API key, and add it to the request header:
Authorization: Bearer YOUR_API_KEY
Body
string
required
Model name, fixed value: "grok_imagine_2_0_ext".
object
required
Model parameter object.
Show params Object Properties
string
required
Image generation prompt. Supports Chinese and English; cannot be empty after trimming leading and trailing whitespace.
string
default:"1:1"
Output image aspect ratio. Supported:
1:1 (default)
2:3 / 3:2
3:4 / 4:3
9:16 / 16:9
Does not support auto, custom pixel dimensions, or other ratios.
integer
default:"1"
Number of output images, ranging from 1 to 12.Any integer within the range can be used, such as 3, 5, 7, and is not limited to 1, 4, 8, 12.
string
required
Caller-defined custom task ID, used for idempotent submission and result querying.
1-64 characters in length
Only letters, numbers, underscores, and hyphens are supported
Cannot be reused under the same API Key
This model only supports text-to-image. Do not pass image_url, resolution, quality, size, or output format parameters.
Response
string
Caller task ID, which can be used to query task status and results.
string
Initial status, typically "pending".
number
Estimated credit consumption for this task.
string
Task creation time, in ISO 8601 format.
Query Results
After successful submission, call Get Task Status and query using the same out_task_id. After the task is completed, the image results are located in data.output.
curl --request POST \ --url https://aireiter.com/api/openapi/submit \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "model": "grok_imagine_2_0_ext", "params": { "prompt": "A red apple on a white ceramic plate, clean studio product shot", "aspect_ratio": "1:1", "output_n": 3 }, "out_task_id": "grok_image_2_ext_001" }'
import requestsurl = "https://aireiter.com/api/openapi/submit"payload = { "model": "grok_imagine_2_0_ext", "params": { "prompt": "A red apple on a white ceramic plate, clean studio product shot", "aspect_ratio": "1:1", "output_n": 3 }, "out_task_id": "grok_image_2_ext_001"}headers = { "Authorization": "Bearer <token>", "Content-Type": "application/json"}response = requests.post(url, json=payload, headers=headers)print(response.json())
const url = "https://aireiter.com/api/openapi/submit";const payload = { model: "grok_imagine_2_0_ext", params: { prompt: "A red apple on a white ceramic plate, clean studio product shot", aspect_ratio: "1:1", output_n: 3 }, out_task_id: "grok_image_2_ext_001"};const headers = { "Authorization": "Bearer <token>", "Content-Type": "application/json"};fetch(url, { method: "POST", headers: headers, body: JSON.stringify(payload)}) .then(response => response.json()) .then(data => console.log(data)) .catch(error => console.error('Error:', error));
package mainimport ( "bytes" "encoding/json" "fmt" "io/ioutil" "net/http")func main() { url := "https://aireiter.com/api/openapi/submit" payload := map[string]interface{}{ "model": "grok_imagine_2_0_ext", "params": map[string]interface{}{ "prompt": "A red apple on a white ceramic plate, clean studio product shot", "aspect_ratio": "1:1", "output_n": 3, }, "out_task_id": "grok_image_2_ext_001", } jsonData, _ := json.Marshal(payload) req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData)) req.Header.Set("Authorization", "Bearer <token>") req.Header.Set("Content-Type", "application/json") client := &http.Client{} resp, err := client.Do(req) if err != nil { panic(err) } defer resp.Body.Close() body, _ := ioutil.ReadAll(resp.Body) fmt.Println(string(body))}
import java.net.http.HttpClient;import java.net.http.HttpRequest;import java.net.http.HttpResponse;import java.net.URI;public class Main { public static void main(String[] args) throws Exception { String url = "https://aireiter.com/api/openapi/submit"; String payload = """ { "model": "grok_imagine_2_0_ext", "params": { "prompt": "A red apple on a white ceramic plate, clean studio product shot", "aspect_ratio": "1:1", "output_n": 3 }, "out_task_id": "grok_image_2_ext_001" } """; HttpClient client = HttpClient.newHttpClient(); HttpRequest request = HttpRequest.newBuilder() .uri(URI.create(url)) .header("Authorization", "Bearer <token>") .header("Content-Type", "application/json") .POST(HttpRequest.BodyPublishers.ofString(payload)) .build(); HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString()); System.out.println(response.body()); }}
<?php$url = "https://aireiter.com/api/openapi/submit";$payload = [ "model" => "grok_imagine_2_0_ext", "params" => [ "prompt" => "A red apple on a white ceramic plate, clean studio product shot", "aspect_ratio" => "1:1", "output_n" => 3 ], "out_task_id" => "grok_image_2_ext_001"];$ch = curl_init($url);curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);curl_setopt($ch, CURLOPT_POST, true);curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($payload));curl_setopt($ch, CURLOPT_HTTPHEADER, [ "Authorization: Bearer <token>", "Content-Type: application/json"]);$response = curl_exec($ch);curl_close($ch);echo $response;?>
require 'net/http'require 'json'require 'uri'url = URI("https://aireiter.com/api/openapi/submit")payload = { model: "grok_imagine_2_0_ext", params: { prompt: "A red apple on a white ceramic plate, clean studio product shot", aspect_ratio: "1:1", output_n: 3 }, out_task_id: "grok_image_2_ext_001"}http = Net::HTTP.new(url.host, url.port)request = Net::HTTP::Post.new(url)request["Authorization"] = "Bearer <token>"request["Content-Type"] = "application/json"request.body = payload.to_jsonresponse = http.request(request)puts response.body
import Foundationlet url = URL(string: "https://aireiter.com/api/openapi/submit")!let payload: [String: Any] = [ "model": "grok_imagine_2_0_ext", "params": [ "prompt": "A red apple on a white ceramic plate, clean studio product shot", "aspect_ratio": "1:1", "output_n": 3 ], "out_task_id": "grok_image_2_ext_001"]var request = URLRequest(url: url)request.httpMethod = "POST"request.setValue("Bearer <token>", forHTTPHeaderField: "Authorization")request.setValue("application/json", forHTTPHeaderField: "Content-Type")request.httpBody = try? JSONSerialization.data(withJSONObject: payload)let task = URLSession.shared.dataTask(with: request) { data, response, error in if let error = error { print("Error: \(error)") return } if let data = data, let responseString = String(data: data, encoding: .utf8) { print(responseString) }}task.resume()
using System;using System.Net.Http;using System.Text;using System.Threading.Tasks;class Program{ static async Task Main(string[] args) { var url = "https://aireiter.com/api/openapi/submit"; var payload = @" { ""model"": ""grok_imagine_2_0_ext"", ""params"": { ""prompt"": ""A red apple on a white ceramic plate, clean studio product shot"", ""aspect_ratio"": ""1:1"", ""output_n"": 3 }, ""out_task_id"": ""grok_image_2_ext_001"" }"; using var client = new HttpClient(); client.DefaultRequestHeaders.Add("Authorization", "Bearer <token>"); var content = new StringContent(payload, Encoding.UTF8, "application/json"); var response = await client.PostAsync(url, content); var result = await response.Content.ReadAsStringAsync(); Console.WriteLine(result); }}
(* Requires cohttp and yojson libraries *)open Lwtopen Cohttpopen Cohttp_lwt_unixlet url = "https://aireiter.com/api/openapi/submit"let payload = {|{ "model": "grok_imagine_2_0_ext", "params": { "prompt": "A red apple on a white ceramic plate, clean studio product shot", "aspect_ratio": "1:1", "output_n": 3 }, "out_task_id": "grok_image_2_ext_001"}|}let () = let headers = Header.init () |> fun h -> Header.add h "Authorization" "Bearer <token>" |> fun h -> Header.add h "Content-Type" "application/json" in let body = Cohttp_lwt.Body.of_string payload in let response = Client.post ~headers ~body (Uri.of_string url) >>= fun (resp, body) -> body |> Cohttp_lwt.Body.to_string >|= fun body_str -> print_endline body_str in Lwt_main.run response
import 'dart:convert';import 'package:http/http.dart' as http;void main() async { final url = Uri.parse('https://aireiter.com/api/openapi/submit'); final payload = { "model": "grok_imagine_2_0_ext", "params": { "prompt": "A red apple on a white ceramic plate, clean studio product shot", "aspect_ratio": "1:1", "output_n": 3 }, "out_task_id": "grok_image_2_ext_001" }; final response = await http.post( url, headers: { 'Authorization': 'Bearer <token>', 'Content-Type': 'application/json' }, body: jsonEncode(payload), ); print(response.body);}
library(httr)library(jsonlite)url <- "https://aireiter.com/api/openapi/submit"payload <- list( model = "grok_imagine_2_0_ext", params = list( prompt = "A red apple on a white ceramic plate, clean studio product shot", aspect_ratio = "1:1", output_n = 3 ), out_task_id = "grok_image_2_ext_001")response <- POST( url, add_headers( Authorization = "Bearer <token>", `Content-Type` = "application/json" ), body = toJSON(payload, auto_unbox = TRUE), encode = "raw")cat(content(response, "text"))